# Lists all the available ECG Admin.

Endpoint: GET /api/ecg-admins
Version: 1.0
Security: bearer

## Query parameters:

  - `order_by` (string)
    Enum: "ASC", "DESC"

  - `skip` (number)
    Number of Pages to skip, Default value : 0

  - `take` (number)
    Number of Records per page, Default value : 10

  - `searchTerm` (string)
    Search By: firstName, lastName, contactEmailAddress or fullName(firstName+lastName).

## Response 200 fields (application/json):

  - `items` (array)

  - `items.id` (string, required)
    Example: "8f9bf5e3-9af6-4671-ab5b-59ce782760d5"

  - `items.policies` (array, required)
    Example: ["2dad50cc-0bfe-4766-9c1e-458b972d5504"]

  - `items.customPermissions` (array)
    Example: ["a6422ed1-8013-4c4b-8f8a-3654606bf80e"]

  - `items.activeInfo` (object, required)

  - `items.activeInfo.active` (boolean, required)
    Example: true

  - `items.activeInfo.activeStatusChangedAt` (string, required)
    Example: "2026-03-04T17:27:05.147Z"

  - `items.person` (object, required)

  - `items.person.id` (string, required)
    Example: "a01c8f0c-95a1-4e94-b6c7-5074f95cd745"

  - `items.person.salutation` (number, required)
    Example: "1"

  - `items.person.firstName` (string, required)
    Example: "string"

  - `items.person.lastName` (string, required)
    Example: "string"

  - `items.person.suffix` (string, required)
    Example: "string"

  - `items.person.emailAddress` (string, required)
    Example: "string"

  - `items.person.party` (object, required)

  - `items.person.party.id` (string, required)
    Example: "c182ed73-7b78-4d27-a14b-e30acf7f4104"

  - `items.person.party.legacyIdentifier` (string, required)
    Example: "string"

  - `items.person.party.archiveInfo` (object, required)

  - `items.person.party.archiveInfo.archived` (boolean)

  - `items.person.party.archiveInfo.archivedStatusChangedAt` (string)
    Example: "2026-03-04T17:27:05.147Z"

  - `items.person.party.auditInfo` (object, required)

  - `items.person.party.auditInfo.createdAt` (string)
    Example: "2026-03-04T17:27:05.145Z"

  - `items.person.party.auditInfo.createdBy` (string)
    Example: "a36ac2c8-1a00-4cf0-9f8c-981dc1ffd4cd"

  - `items.person.party.auditInfo.updatedAt` (string)
    Example: "2026-03-04T17:27:05.146Z"

  - `items.person.party.auditInfo.updatedBy` (string)
    Example: "1372b691-af02-4b90-945a-c6351e785879"

  - `items.person.party.activeInfo` (object, required)

  - `items.person.party.activeInfo.active` (boolean, required)
    Example: true

  - `items.person.party.activeInfo.activeStatusChangedAt` (string, required)
    Example: "2026-03-04T17:27:05.147Z"

  - `items.person.party.phoneNumbers` (array, required)

  - `items.person.party.phoneNumbers.id` (string, required)
    Example: "2674269e-d3b2-4cd0-a693-20953b1818b9"

  - `items.person.party.phoneNumbers.phoneType` (number, required)
    Example: "1"

  - `items.person.party.phoneNumbers.phoneNumber` (string, required)
    Example: "string"

  - `items.person.party.phoneNumbers.extension` (string, required)
    Example: "string"

  - `items.person.party.addresses` (array, required)

  - `items.person.party.addresses.id` (string, required)
    Example: "d8036c26-3113-44be-ba4f-f60934b8eab1"

  - `items.person.party.addresses.addressType` (number, required)
    Example: 1

  - `items.person.party.addresses.addressLine1` (string)
    Example: "252 Lomas Santa Fe Dr Suite 290"

  - `items.person.party.addresses.addressLine2` (string)
    Example: "Behind times square garden"

  - `items.person.party.addresses.stateProvinceCode` (string)
    Example: "AL"

  - `items.person.party.addresses.stateProvinceName` (string)
    Example: "Alabama"

  - `items.person.party.addresses.city` (string)
    Example: "San Diego"

  - `items.person.party.addresses.postalCode` (string)
    Example: "92075"

  - `items.person.party.addresses.countryCode` (string)
    Example: "US"

  - `items.person.party.addresses.countryName` (string)
    Example: "United States"

  - `items.person.party.addresses.regionCode` (string)
    Enum: "US", "EU"

  - `items.person.party.addresses.regionName` (string)
    Example: "United States"

  - `items.person.party.addresses.auditInfo` (object, required)

  - `items.person.party.addresses.auditInfo.createdAt` (string)
    Example: "2026-03-04T17:27:05.145Z"

  - `items.person.party.addresses.auditInfo.createdBy` (string)
    Example: "a36ac2c8-1a00-4cf0-9f8c-981dc1ffd4cd"

  - `items.person.party.addresses.auditInfo.updatedAt` (string)
    Example: "2026-03-04T17:27:05.146Z"

  - `items.person.party.addresses.auditInfo.updatedBy` (string)
    Example: "1372b691-af02-4b90-945a-c6351e785879"

  - `currentPageNumber` (number)

  - `recordsPerPage` (number)

  - `totalRecords` (number)

  - `totalPages` (number)


